Subject: Re[2]: Visual Studio linking
From: Alastair Growcott <[email-masked]>
To: [email-masked]
Date: Wed, 2 Jun 2004 10:17:18 +0100 (GMT Daylight Time)

So far so good - not.

I am trying to link against the lib*.a files using the Visual Studio linker, and it seems to accept them. However I do get the following warning;

    libcygwin.a(d001126.o) : warning LNK4078: multiple '.text' sections found with different attributes (E0000020)

Moreover when I try and run the executable, absolutely nothing happens.

Now I remember reading somewhere that MSVCRT.DLL and cygwin1.dll are mutually exclusive, so I flange my makefile to add /NODEFAULTLIB on the link line. I now get the additional message;

    LINK : error LNK2001: unresolved external symbol _mainCRTStartup

I know this is simple to fix, but my brain has just gone to sleep - any tips?

Alastair.

On Wed, 2 Jun 2004 09:51:52 +0100 Max Bowsher <[email-masked]> wrote:

> Alastair Growcott wrote:
> > Hi.
> >
> > I have read all the FAQs and stuff. I have searched the web. I would like
> a
> > step by step list of instructions to achieve the following.
> >
> > I want to use check to test an MFC application. This means I must use the
> > Visual Studio compiler, cl, and linker, link.
> > Check calls fork(). This function is implemented in the cygwin1.dll.
> > I cannot link using the DLL. I read somewhere that libcygwin.a is
> equivalent
> > to the cygwin1.lib, but when I try and link against it I get all sorts of
> > bizarre symbols not found. According to cygcheck, cygwin1.dll only has
> > dependencies on standard Windows DLLs that I am already linking against.
> >
> > So how do I;
> >
> > a) obtain a version of cygwin1.lib that I can link against using the
> Visual
> > Studio linker that will work nicely and neatly, or
> > b) link against libcygwin.a using the Visual Studio linker.
> 
> I don't think anyone has ever done this before, so I doubt very much whether
> what you are looking for exists.
> 
> If you are serious about doing this, you will likely need to figure it out
> yourself, assuming of course, that it actually is possible at all.
> 
> Max.
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/